Issue 119558 - [From Symphony] Table rows get heighter when opening a .docx file with AOO 3.4
[From Symphony] Table rows get heighter when opening a .docx file with AOO 3.4
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: open-import
3.4.0
PC All
: P3 normal (vote)
: 4.0.0
Assigned To: zhang jianfang
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 05:55 UTC by xiao ting xiao
Modified: 2012-10-08 06:09 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
table row's height become greater (12.48 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-05-30 05:55 UTC, xiao ting xiao
no flags Details
table row get heighter (45.62 KB, image/jpeg)
2012-05-30 05:57 UTC, xiao ting xiao
no flags Details
set page mode to default valude (6.23 KB, patch)
2012-09-10 08:09 UTC, zhaoshzh
aoo.zhaoshzh: review?
Details | Diff
update patch,the first patch is invalid. (5.72 KB, patch)
2012-09-10 08:31 UTC, zhaoshzh
zhangjf: review+
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description xiao ting xiao 2012-05-30 05:55:52 UTC
Created attachment 77772 [details]
table row's height become greater

Steps:
1. Open attached docx sample file
2. Check the table row's height

Problem:
the rows height becomes greater than in MS Office 2010.
Please see screenshot for detail information.
Comment 1 xiao ting xiao 2012-05-30 05:57:16 UTC
Created attachment 77774 [details]
table row get heighter
Comment 2 wujinlong 2012-06-05 06:18:02 UTC
I'll work on this.
Comment 3 Du Jing 2012-07-11 09:27:01 UTC
confirmed,change its status
Comment 4 zhaoshzh 2012-09-10 08:05:58 UTC
Default page mode affect the calculation of table row height in sw. 
Refer to SwWW8ImplReader::SetDocumentGrid function code , set SwDoc default page mode value to false when import MS 2007 docx file in AOO.
Comment 5 zhaoshzh 2012-09-10 08:09:35 UTC
Created attachment 79381 [details]
set page mode to default valude
Comment 6 zhaoshzh 2012-09-10 08:31:14 UTC
Created attachment 79383 [details]
update patch,the first patch is invalid.
Comment 7 SVN Robot 2012-09-12 12:19:35 UTC
"zhangjf" committed SVN revision 1383908 into trunk:
#i119558#, set SwDoc default page mode value to false when import MS 2007 doc...
Comment 8 zhang jianfang 2012-09-12 12:20:14 UTC
Comment on attachment 79383 [details]
update patch,the first patch is invalid.

build passed and code works.
Comment 9 zhang jianfang 2012-09-12 12:21:11 UTC
Change to resolved state
Comment 10 Du Jing 2012-10-08 06:08:41 UTC
verified on the build AOO3.5_r1387482